Skip to main content
Nowledge MemNowledge Mem

Ingest Folder Summary

POST
/sources/ingest/folder-summary

Emit a folder import summary event for remote/web chunked uploads.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Emit a single folder import summary event without ingesting files.

Response Body

application/json

application/json

curl -X POST "https://example.com/sources/ingest/folder-summary" \  -H "Content-Type: application/json" \  -d '{    "accumulated_totals": {      "property1": 0,      "property2": 0    },    "folder_name": "string"  }'
{  "folder_name": "",  "message": "",  "results": [    {      "is_duplicate": false,      "lifecycle_state": "string",      "message": "",      "original_name": "string",      "source_id": "string"    }  ],  "total_duplicates": 0,  "total_errors": 0,  "total_ingested": 0}